aboutsummaryrefslogtreecommitdiffstats
path: root/testing/duo_unix/APKBUILD
diff options
context:
space:
mode:
authorAlan Lacerda <alacerda@alpinelinux.org>2015-02-11 11:40:34 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2015-02-11 11:55:25 +0000
commitad083c8196c06c97eebb9f2b7a467cb80b637255 (patch)
treec284b7881189f65ff113ba90726b7f640eaa1ed9 /testing/duo_unix/APKBUILD
parentd107ecd679cf2f893b92d5abb0d0079d8e46fbfa (diff)
downloadaports-ad083c8196c06c97eebb9f2b7a467cb80b637255.tar.gz
aports-ad083c8196c06c97eebb9f2b7a467cb80b637255.tar.bz2
aports-ad083c8196c06c97eebb9f2b7a467cb80b637255.tar.xz
testing/duo_unix: new aports
fixes #3159
Diffstat (limited to 'testing/duo_unix/APKBUILD')
-rw-r--r--testing/duo_unix/APKBUILD43
1 files changed, 43 insertions, 0 deletions
diff --git a/testing/duo_unix/APKBUILD b/testing/duo_unix/APKBUILD
new file mode 100644
index 0000000000..98b0504713
--- /dev/null
+++ b/testing/duo_unix/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer:
+pkgname=duo_unix
+pkgver=1.9.11
+pkgrel=0
+pkgdesc="duosecurity.com two-factor authentication"
+url="https://www.duosecurity.com/docs/duounix"
+arch="all"
+license="GPLv2"
+depends="openssl zlib"
+depends_dev="libc-dev openssl-dev zlib-dev"
+makedepends="$depends_dev"
+install=""
+options="suid"
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://dl.duosecurity.com/$pkgname-$pkgver.tar.gz"
+
+_builddir="${srcdir}/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" -name \*.la -delete
+}
+
+md5sums="f9e252cccb850d27343e926a802c5602 duo_unix-1.9.11.tar.gz"
+sha256sums="f5c9a44c179727e9284837d6c009b079f5eefba5f241a5a37ae1ff5fff56871c duo_unix-1.9.11.tar.gz"
+sha512sums="8ef1cc66aac1b12b5128ed67a335df1943a626dede12f4373677c72b72cbf8b6d37c5a4913d196f2037f7954e6247eb8367d54c0e74269c3eb96f9b12c7724fc duo_unix-1.9.11.tar.gz"